Jump to content

PHP Version


Brian T
 Share

Recommended Posts

My cubecart (latest version) says it's running PhP version 5.4.45

 

I've had an e-mail from my internet provider (1 and 1)  to say that they are goign to charge a monthly fee to use php version 5.4

 

They say I can update my default PhP (to version 7 for example) on their website.  If I do this will that automatically update the version that cubecart says it's running, and without stopping the website from working.

 

Many thanks

Link to comment
Share on other sites

Be aware that for every version family (PHP 5.4, 5.5, 5.6, etc), more functions are declared as "deprecated". For example, in PHP 5.6, it will display an Announcement about 'mysql' being deprecated (and possibly other announcements).

CubeCart is coded to show all errors (except Notices) during the early part of waking up.

Thus, if your PHP is configured to use 'mysql' as opposed to 'mysqli', you will see this in the pages of your store.

I am just saying this to make CubeCart users generally aware that upgrading to more recent version families of PHP is not 100% guaranteed without some kind of weirdness.

(Right now, I am experimenting how CubeCart runs under PHP 7 for Windows. The 'mysql' has been removed, so any code that wants to use a function specific to that extension will be immediately revealed.)

Link to comment
Share on other sites

  • 4 months later...

Al, it is showing below error message after upgrade to 6.0.12 while I was pushed to use php version 7. Will this cause any problem to my store?

[Deprecated] /home/***/store/includes/lib/pclzip/pclzip.lib.php:190 - Methods with the same name as their class will not be constructors in a future version of PHP; PclZip has a deprecated constructor

Link to comment
Share on other sites

  • 4 weeks later...
On 1/27/2016 at 1:55 PM, Al Brookbanks said:

From my tests CubeCart v6 works fine with PHP 7. 

Be aware that ionCube is still at beta release for PHP 7 and has some known problems and shouldnt be used in a live environment.  So if you are running any third party plugin that includes ionCube encoded functions, you should not yet upgrade to PHP 7

Ian

Link to comment
Share on other sites

13 minutes ago, Dirty Butter said:

How can we tell if a plugin is making use of the ionCube functions?

In an ideal world, the plugin developer should tell you on the description so you know before you buy - not all developers do and not all hosting servers have ionCube installed by default.  If you are not sure whether a plugin contains one or more encoded files, take a look at the various .php files using an editor and it will be very obvious and also the first line of the code will start with something similar to

if(!extension_loaded('ionCube Loader'))

Ian

Link to comment
Share on other sites

  • 1 month later...
On 21/07/2016 at 2:54 PM, Dirty Butter said:

So the CC Security plugin requires ionCube  Loader.

It does only because real time file scanning requires a monthly support subscription. It's a perk for our support subscribers if you like. As a result the code for that part needs to be protected to ensure its not reverse engineered. We have to keep the lights on somehow. ;)

Link to comment
Share on other sites

On 7/21/2016 at 3:54 PM, Dirty Butter said:

So the CC Security plugin requires ionCube  Loader.

1 hour ago, Al Brookbanks said:

It does only because real time file scanning requires a monthly support subscription. It's a perk for our support subscribers if you like. As a result the code for that part needs to be protected to ensure its not reverse engineered. We have to keep the lights on somehow. ;)

You are hosted with us and we always install ionCube at a server level on all our servers so you never need to worry !

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...